Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authortlandre2009-10-06 07:54:34 +0000
committertlandre2009-10-06 07:54:34 +0000
commit1e1aabfc5e6cd927f5d3233cee0bb44574a940b5 (patch)
tree519a9de077aff119709ebca56930c0d29b5b8fa4 /features
parent0fbc5537b81a4cd7783f42466e3976638b3aa7d0 (diff)
downloadorg.eclipse.papyrus-1e1aabfc5e6cd927f5d3233cee0bb44574a940b5.tar.gz
org.eclipse.papyrus-1e1aabfc5e6cd927f5d3233cee0bb44574a940b5.tar.xz
org.eclipse.papyrus-1e1aabfc5e6cd927f5d3233cee0bb44574a940b5.zip
ASSIGNED - bug 290915: [Backbone] Papyrus Perspective should be independent from the backbone
https://bugs.eclipse.org/bugs/show_bug.cgi?id=290915
Diffstat (limited to 'features')
-rw-r--r--features/org.eclipse.papyrus-feature/feature.xml105
1 files changed, 43 insertions, 62 deletions
diff --git a/features/org.eclipse.papyrus-feature/feature.xml b/features/org.eclipse.papyrus-feature/feature.xml
index d6604ad7103..72d0d33cdeb 100644
--- a/features/org.eclipse.papyrus-feature/feature.xml
+++ b/features/org.eclipse.papyrus-feature/feature.xml
@@ -29,49 +29,19 @@
<import plugin="org.eclipse.gmf.codegen" version="2.1.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.gmf.codegen.ui" version="1.1.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.m2m.qvt.oml" version="2.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.resources" version="3.4.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gef" version="3.4.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf" version="2.3.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.ecore.xmi" version="2.4.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.transaction" version="1.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.edit" version="2.4.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.uml2.uml" version="2.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.uml2.uml.edit" version="2.2.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.papyrus.sasheditor" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.di" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.di.edit" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui" version="3.4.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.ui.ide" version="3.4.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.notation" version="1.0.100" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.core" version="1.1.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui.views.properties.tabbed" version="3.4.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.gmf.runtime.diagram.ui" version="1.1.0" match="greaterOrEqual"/>
<import plugin="org.junit"/>
<import plugin="org.eclipse.papyrus.sasheditor.di" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.expressions"/>
<import plugin="org.eclipse.papyrus.core" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.jface"/>
- <import plugin="org.eclipse.ui.views"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.emf.edit.ui"/>
- <import plugin="org.eclipse.gmf.runtime.emf.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
- <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
- <import plugin="org.eclipse.gmf.runtime.notation.providers"/>
- <import plugin="org.eclipse.emf.ecore.edit"/>
- <import plugin="org.eclipse.emf.ocl"/>
- <import plugin="org.eclipse.emf.query.ocl"/>
- <import plugin="org.eclipse.draw2d"/>
- <import plugin="org.eclipse.ocl.ecore"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.papyrus.di.editor" version="0.7.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.gef" version="3.4.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.uml2.uml" version="2.2.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.emf.edit" version="2.4.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.uml2.uml.edit" version="2.2.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.core.resources" version="3.4.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.emf.ecore.xmi" version="2.4.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.di" version="0.7.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.gmf.runtime.common.ui.services.action"/>
@@ -82,56 +52,60 @@
<import plugin="org.eclipse.core.expressions" version="3.4.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.gmf.runtime.diagram.ui.printing" version="1.1.2" match="greaterOrEqual"/>
<import plugin="org.eclipse.gmf.runtime.diagram.ui.printing.render" version="1.1.2" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties" version="1.2.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.jface"/>
+ <import plugin="org.eclipse.ui.views"/>
+ <import plugin="org.eclipse.gmf.runtime.emf.core"/>
+ <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
+ <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
+ <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
<import plugin="org.eclipse.gmf" version="1.0.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.emf.validation"/>
<import plugin="org.eclipse.papyrus.editor" version="0.7.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.draw2d"/>
<import plugin="org.eclipse.gmf.codegen" version="2.1.1" match="greaterOrEqual"/>
<import plugin="org.eclipse.uml2.uml.resources" version="3.0.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.papyrus.umlutils" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.preferences" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.ui.toolbox" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.common.ui"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties" version="1.1.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.actions" version="1.1.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.emf.query.ocl"/>
<import plugin="org.eclipse.papyrus.extensionpoints.editors" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties" version="1.2.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.papyrus.core.adaptor.emf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.jface.text"/>
+ <import plugin="org.eclipse.emf.transaction" version="1.2.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.preferences" version="0.7.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.ui.toolbox" version="0.7.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.ui.editors" version="3.4.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.common.ui" version="2.4.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.emf.edit.ui" version="2.4.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui.ide.application" version="1.0.0" match="greaterOrEqual"/>
<import plugin="org.antlr.runtime" version="3.0.0" match="greaterOrEqual"/>
- <import plugin="com.ibm.icu"/>
+ <import plugin="org.eclipse.ui.views.properties.tabbed" version="3.4.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.emf.mapping.ecore2xml"/>
<import plugin="org.eclipse.ui" version="3.5.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.ui.navigator" version="3.3.101" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.ecore" version="2.4.1" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.resources" version="3.4.1" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.ecore.edit" version="2.4.1" match="greaterOrEqual"/>
<import plugin="org.eclipse.emf.ecore.editor" version="2.4.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.uml2.uml.editor" version="2.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui" version="1.1.2" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf" version="2.4.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.core" version="1.1.2" match="greaterOrEqual"/>
<import plugin="org.eclipse.gmf.runtime.diagram.ui.render" version="1.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui.views" version="3.3.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.parsers" version="0.7.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.jface.text"/>
<import plugin="org.eclipse.papyrus.extensionpoints.uml2" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.validation" version="1.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.notation" version="1.1.1" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.transaction" version="1.2.1" match="greaterOrEqual"/>
<import plugin="org.eclipse.gmf.runtime.diagram.ui.properties" version="1.1.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.emf.ecore.xmi" version="2.5.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.emf.transaction" version="1.3.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.swt" version="3.5.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.tabbedproperties.core" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.uml2"/>
<import plugin="org.eclipse.emf.eef.runtime"/>
- <import plugin="org.eclipse.jface.text" version="3.4.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.jface" version="3.4.1" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.workspace" version="1.2.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.emf.transaction" version="1.2.1" match="greaterOrEqual"/>
<import plugin="org.eclipse.emf.ecore.edit" version="2.4.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.emf.edit.ui" version="2.5.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.emf.ecore.edit" version="2.5.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor" version="1.2.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.wizards" version="0.7.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.uml2.uml.editor" version="3.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.uml2.diagram.common.notation" version="0.9.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.uml2.diagram.common" version="0.9.0" match="greaterOrEqual"/>
+ <import plugin="org.junit4"/>
+ <import plugin="org.eclipse.emf.ecore.editor" version="2.5.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.uml2.uml.edit" version="3.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.navigator" version="0.7.0" match="greaterOrEqual"/>
</requires>
<plugin
@@ -365,4 +339,11 @@
version="0.0.0"
unpack="false"/>
+ <plugin
+ id="org.eclipse.papyrus.perspective"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
</feature>

Back to the top